function str=sectotime(sec)
% function str=sectotime(sec)
%
% Converts raw seconds to days:hours:min:sec as appropriate
%
% Wesley Kerr, August 2017, wesleytk@g.ucla.edu

sec=round(sec,0);

if sec<60 %<1 min
    str=[num2str(sec) 's'];
elseif sec<60*60 %<1h
    str=[num2str(floor(sec/60)) 'm:' num2str(sec-floor(sec/60)*60) 's'];
elseif sec<60*60*24 %<1d
    str=[num2str(floor(sec/60/60)) 'h:' num2str(floor((sec-floor(sec/60/60)*60*60)/60)) 'm:' num2str(sec-floor(sec/60/60)*60*60-floor((sec-floor(sec/60/60)*60*60)/60)*60) 's'];
else %>=1d
    str=[num2str(floor(sec/60/60/24)) 'd:' num2str(floor((sec-floor(sec/60/60/24)*24*60*60)/60/60)) 'h:' num2str(floor((sec-floor(sec/60/60/24)*24*60*60-floor(sec/60/60)*60*60)/60)) 'm:' num2str(sec-floor(sec/60/60/24)*24*60*60-floor(sec/60/60)*60*60-floor((sec-floor(sec/60/60)*60*60)/60)*60) 's'];
end