function str=freqtostr(permo)
% function str=freqtostr(permo)
%
% Converts a per month frequency into something readable as a string
%
% Wesley Kerr, August 2017, wesleytk@g.ucla.edu

if permo>30*24 % more than hourly
    str=[num2str(round(permo/30/24),1) '/h'];
elseif permo>30 % more than daily
    str=[num2str(round(permo/30,1)) '/d'];
elseif permo>30/7 % more than weekly
    str=[num2str(round(permo*7/30,1)) '/w'];
elseif permo>1 % more than monthly
    str=[num2str(round(permo,1)) '/m'];
else
    str=[num2str(round(permo*12,1)) '/y'];
end
    